<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_05) on Sat Jun 07 12:11:35 EEST 2014 -->
<title>TableSorter</title>
<meta name="date" content="2014-06-07">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TableSorter";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../gr/zeus/ui/table/ProgressBarCellRenderer.html" title="class in gr.zeus.ui.table"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../gr/zeus/ui/table/TableSorterIcons.html" title="class in gr.zeus.ui.table"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?gr/zeus/ui/table/TableSorter.html" target="_top">Frames</a></li>
<li><a href="TableSorter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">gr.zeus.ui.table</div>
<h2 title="Class TableSorter" class="title">Class TableSorter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>javax.swing.table.AbstractTableModel</li>
<li>
<ul class="inheritance">
<li>gr.zeus.ui.table.TableSorter</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, javax.swing.table.TableModel</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">TableSorter</span>
extends javax.swing.table.AbstractTableModel</pre>
<div class="block">TableSorter is a decorator for TableModels; adding sorting
 functionality to a supplied TableModel. TableSorter does
 not store or copy the data in its TableModel; instead it maintains
 a map from the row indexes of the view to the row indexes of the
 model. As requests are made of the sorter (like getValueAt(row, col))
 they are passed to the underlying model after the row numbers
 have been translated via the internal mapping array. This way,
 the TableSorter appears to hold another copy of the table
 with the rows in a different order.
 <p/>
 TableSorter registers itself as a listener to the underlying model,
 just as the JTable itself would. Events recieved from the model
 are examined, sometimes manipulated (typically widened), and then
 passed on to the TableSorter's listeners (typically the JTable).
 If a change to the model has invalidated the order of TableSorter's
 rows, a note of this is made and the sorter will resort the
 rows the next time a value is requested.
 <p/>
 When the tableHeader property is set, either by using the
 setTableHeader() method or the two argument constructor, the
 table header may be used as a complete UI for TableSorter.
 The default renderer of the tableHeader is decorated with a renderer
 that indicates the sorting status of each column. In addition,
 a mouse listener is installed with the following behavior:
 <ul>
 <li>
 Mouse-click: Clears the sorting status of all other columns
 and advances the sorting status of that column through three
 values: {NOT_SORTED, ASCENDING, DESCENDING} (then back to
 NOT_SORTED again).
 <li>
 SHIFT-mouse-click: Clears the sorting status of all other columns
 and cycles the sorting status of the column through the same
 three values, in the opposite order: {NOT_SORTED, DESCENDING, ASCENDING}.
 <li>
 CONTROL-mouse-click and CONTROL-SHIFT-mouse-click: as above except
 that the changes to the column do not cancel the statuses of columns
 that are already sorting - giving a way to initiate a compound
 sort.
 </ul>
 <p/>
 This is a long overdue rewrite of a class of the same name that
 first appeared in the swing table demos in 1997.

 <p>
 Modified by Gregory Kotsaftis in order to accept custom icon images
 instead of just Arrow icon.
 <p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.50</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>2.0 02/27/04</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Philip Milne, Brendon McLean, Dan van Enckevort, Parwinder Sekhon, Gregory Kotsaftis</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../serialized-form.html#gr.zeus.ui.table.TableSorter">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#ASCENDING">ASCENDING</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.Comparator</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#COMPARABLE_COMPARATOR">COMPARABLE_COMPARATOR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#DESCENDING">DESCENDING</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.Comparator</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#LEXICAL_COMPARATOR">LEXICAL_COMPARATOR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#NOT_SORTED">NOT_SORTED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected javax.swing.table.TableModel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#tableModel">tableModel</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.javax.swing.table.AbstractTableModel">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.table.AbstractTableModel</h3>
<code>listenerList</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#TableSorter--">TableSorter</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#TableSorter-javax.swing.table.TableModel-">TableSorter</a></span>(javax.swing.table.TableModel&nbsp;tableModel)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#TableSorter-javax.swing.table.TableModel-javax.swing.table.JTableHeader-">TableSorter</a></span>(javax.swing.table.TableModel&nbsp;tableModel,
           javax.swing.table.JTableHeader&nbsp;tableHeader)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#getColumnClass-int-">getColumnClass</a></span>(int&nbsp;column)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#getColumnCount--">getColumnCount</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#getColumnName-int-">getColumnName</a></span>(int&nbsp;column)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected java.util.Comparator</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#getComparator-int-">getComparator</a></span>(int&nbsp;column)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected javax.swing.Icon</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#getHeaderRendererCustomIcon-int-">getHeaderRendererCustomIcon</a></span>(int&nbsp;column)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected javax.swing.Icon</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#getHeaderRendererIcon-int-int-">getHeaderRendererIcon</a></span>(int&nbsp;column,
                     int&nbsp;size)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#getRowCount--">getRowCount</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#getSortingStatus-int-">getSortingStatus</a></span>(int&nbsp;column)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>javax.swing.table.JTableHeader</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#getTableHeader--">getTableHeader</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>javax.swing.table.TableModel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#getTableModel--">getTableModel</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#getValueAt-int-int-">getValueAt</a></span>(int&nbsp;row,
          int&nbsp;column)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#isCellEditable-int-int-">isCellEditable</a></span>(int&nbsp;row,
              int&nbsp;column)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#isSorting--">isSorting</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#modelIndex-int-">modelIndex</a></span>(int&nbsp;viewIndex)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#setColumnComparator-java.lang.Class-java.util.Comparator-">setColumnComparator</a></span>(java.lang.Class&nbsp;type,
                   java.util.Comparator&nbsp;comparator)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#setCustomIcons-javax.swing.Icon:A-javax.swing.Icon:A-">setCustomIcons</a></span>(javax.swing.Icon[]&nbsp;ups,
              javax.swing.Icon[]&nbsp;downs)</code>
<div class="block">Arrays contains all custom icons with priority order from high to low.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#setSortingStatus-int-int-">setSortingStatus</a></span>(int&nbsp;column,
                int&nbsp;status)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#setTableHeader-javax.swing.table.JTableHeader-">setTableHeader</a></span>(javax.swing.table.JTableHeader&nbsp;tableHeader)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#setTableModel-javax.swing.table.TableModel-">setTableModel</a></span>(javax.swing.table.TableModel&nbsp;tableModel)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/table/TableSorter.html#setValueAt-java.lang.Object-int-int-">setValueAt</a></span>(java.lang.Object&nbsp;aValue,
          int&nbsp;row,
          int&nbsp;column)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.javax.swing.table.AbstractTableModel">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.table.AbstractTableModel</h3>
<code>addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="tableModel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tableModel</h4>
<pre>protected&nbsp;javax.swing.table.TableModel tableModel</pre>
</li>
</ul>
<a name="DESCENDING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DESCENDING</h4>
<pre>public static final&nbsp;int DESCENDING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#gr.zeus.ui.table.TableSorter.DESCENDING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NOT_SORTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOT_SORTED</h4>
<pre>public static final&nbsp;int NOT_SORTED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#gr.zeus.ui.table.TableSorter.NOT_SORTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ASCENDING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ASCENDING</h4>
<pre>public static final&nbsp;int ASCENDING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#gr.zeus.ui.table.TableSorter.ASCENDING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COMPARABLE_COMPARATOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPARABLE_COMPARATOR</h4>
<pre>public static final&nbsp;java.util.Comparator COMPARABLE_COMPARATOR</pre>
</li>
</ul>
<a name="LEXICAL_COMPARATOR">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LEXICAL_COMPARATOR</h4>
<pre>public static final&nbsp;java.util.Comparator LEXICAL_COMPARATOR</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TableSorter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TableSorter</h4>
<pre>public&nbsp;TableSorter()</pre>
</li>
</ul>
<a name="TableSorter-javax.swing.table.TableModel-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TableSorter</h4>
<pre>public&nbsp;TableSorter(javax.swing.table.TableModel&nbsp;tableModel)</pre>
</li>
</ul>
<a name="TableSorter-javax.swing.table.TableModel-javax.swing.table.JTableHeader-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TableSorter</h4>
<pre>public&nbsp;TableSorter(javax.swing.table.TableModel&nbsp;tableModel,
                   javax.swing.table.JTableHeader&nbsp;tableHeader)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTableModel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTableModel</h4>
<pre>public&nbsp;javax.swing.table.TableModel&nbsp;getTableModel()</pre>
</li>
</ul>
<a name="setCustomIcons-javax.swing.Icon:A-javax.swing.Icon:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCustomIcons</h4>
<pre>public&nbsp;void&nbsp;setCustomIcons(javax.swing.Icon[]&nbsp;ups,
                           javax.swing.Icon[]&nbsp;downs)</pre>
<div class="block">Arrays contains all custom icons with priority order from high to low.
 Greg</div>
</li>
</ul>
<a name="setTableModel-javax.swing.table.TableModel-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTableModel</h4>
<pre>public&nbsp;void&nbsp;setTableModel(javax.swing.table.TableModel&nbsp;tableModel)</pre>
</li>
</ul>
<a name="getTableHeader--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTableHeader</h4>
<pre>public&nbsp;javax.swing.table.JTableHeader&nbsp;getTableHeader()</pre>
</li>
</ul>
<a name="setTableHeader-javax.swing.table.JTableHeader-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTableHeader</h4>
<pre>public&nbsp;void&nbsp;setTableHeader(javax.swing.table.JTableHeader&nbsp;tableHeader)</pre>
</li>
</ul>
<a name="isSorting--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSorting</h4>
<pre>public&nbsp;boolean&nbsp;isSorting()</pre>
</li>
</ul>
<a name="getSortingStatus-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSortingStatus</h4>
<pre>public&nbsp;int&nbsp;getSortingStatus(int&nbsp;column)</pre>
</li>
</ul>
<a name="setSortingStatus-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSortingStatus</h4>
<pre>public&nbsp;void&nbsp;setSortingStatus(int&nbsp;column,
                             int&nbsp;status)</pre>
</li>
</ul>
<a name="getHeaderRendererIcon-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeaderRendererIcon</h4>
<pre>protected&nbsp;javax.swing.Icon&nbsp;getHeaderRendererIcon(int&nbsp;column,
                                                 int&nbsp;size)</pre>
</li>
</ul>
<a name="getHeaderRendererCustomIcon-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeaderRendererCustomIcon</h4>
<pre>protected&nbsp;javax.swing.Icon&nbsp;getHeaderRendererCustomIcon(int&nbsp;column)</pre>
</li>
</ul>
<a name="setColumnComparator-java.lang.Class-java.util.Comparator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setColumnComparator</h4>
<pre>public&nbsp;void&nbsp;setColumnComparator(java.lang.Class&nbsp;type,
                                java.util.Comparator&nbsp;comparator)</pre>
</li>
</ul>
<a name="getComparator-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComparator</h4>
<pre>protected&nbsp;java.util.Comparator&nbsp;getComparator(int&nbsp;column)</pre>
</li>
</ul>
<a name="modelIndex-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>modelIndex</h4>
<pre>public&nbsp;int&nbsp;modelIndex(int&nbsp;viewIndex)</pre>
</li>
</ul>
<a name="getRowCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRowCount</h4>
<pre>public&nbsp;int&nbsp;getRowCount()</pre>
</li>
</ul>
<a name="getColumnCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColumnCount</h4>
<pre>public&nbsp;int&nbsp;getColumnCount()</pre>
</li>
</ul>
<a name="getColumnName-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColumnName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getColumnName(int&nbsp;column)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getColumnName</code>&nbsp;in interface&nbsp;<code>javax.swing.table.TableModel</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getColumnName</code>&nbsp;in class&nbsp;<code>javax.swing.table.AbstractTableModel</code></dd>
</dl>
</li>
</ul>
<a name="getColumnClass-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColumnClass</h4>
<pre>public&nbsp;java.lang.Class&nbsp;getColumnClass(int&nbsp;column)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getColumnClass</code>&nbsp;in interface&nbsp;<code>javax.swing.table.TableModel</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getColumnClass</code>&nbsp;in class&nbsp;<code>javax.swing.table.AbstractTableModel</code></dd>
</dl>
</li>
</ul>
<a name="isCellEditable-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCellEditable</h4>
<pre>public&nbsp;boolean&nbsp;isCellEditable(int&nbsp;row,
                              int&nbsp;column)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isCellEditable</code>&nbsp;in interface&nbsp;<code>javax.swing.table.TableModel</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>isCellEditable</code>&nbsp;in class&nbsp;<code>javax.swing.table.AbstractTableModel</code></dd>
</dl>
</li>
</ul>
<a name="getValueAt-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValueAt</h4>
<pre>public&nbsp;java.lang.Object&nbsp;getValueAt(int&nbsp;row,
                                   int&nbsp;column)</pre>
</li>
</ul>
<a name="setValueAt-java.lang.Object-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setValueAt</h4>
<pre>public&nbsp;void&nbsp;setValueAt(java.lang.Object&nbsp;aValue,
                       int&nbsp;row,
                       int&nbsp;column)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setValueAt</code>&nbsp;in interface&nbsp;<code>javax.swing.table.TableModel</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>setValueAt</code>&nbsp;in class&nbsp;<code>javax.swing.table.AbstractTableModel</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../gr/zeus/ui/table/ProgressBarCellRenderer.html" title="class in gr.zeus.ui.table"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../gr/zeus/ui/table/TableSorterIcons.html" title="class in gr.zeus.ui.table"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?gr/zeus/ui/table/TableSorter.html" target="_top">Frames</a></li>
<li><a href="TableSorter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
